Backups

Everything about backups of MariaDB clusters.

List backups of cluster

get
/clusters/{clusterId}/backups

Retrieves a list of all backups of the given MariaDB cluster.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Query parameters
limitinteger · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with 'offset' for pagination.

Default: 100Example: 100
offsetintegerOptional

The first element to return. Use together with 'limit' for pagination.

Default: 0Example: 200
Responses
chevron-right
200

Successful operation.

application/json

Pagination information in list responses.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
offsetintegerOptional

The offset specified in the request (if none was specified, the default offset is 0).

Default: 0Example: 200
limitinteger · max: 1000Optional

The limit specified in the request (if none was specified, the default limit is 100).

Default: 100Example: 100
totalintegerOptional

The total number of elements matching the request (without pagination).

Default: 0Example: 200
get
/clusters/{clusterId}/backups

List of backups.

get
/backups

Retrieves all lists of backups for all MariaDB clusters in this contract.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Query parameters
limitinteger · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with 'offset' for pagination.

Default: 100Example: 100
offsetintegerOptional

The first element to return. Use together with 'limit' for pagination.

Default: 0Example: 200
Responses
chevron-right
200

Successful operation.

application/json

Pagination information in list responses.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
offsetintegerOptional

The offset specified in the request (if none was specified, the default offset is 0).

Default: 0Example: 200
limitinteger · max: 1000Optional

The limit specified in the request (if none was specified, the default limit is 100).

Default: 100Example: 100
totalintegerOptional

The total number of elements matching the request (without pagination).

Default: 0Example: 200
get
/backups

Fetch backups

get
/backups/{backupId}

Retrieve a MariaDB backup by ID. This value can be found when you GET the list of MariaDB backups.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
backupIdstringRequired

The unique ID of the backup.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Responses
chevron-right
200

Successful operation.

application/json

A database backup.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
get
/backups/{backupId}

Last updated

Was this helpful?